Package org.eclipse.mat.hprof

# Class ChunkedGZIPRandomAccessFile.ChunkedGZIPOutputStream

java.lang.Object
java.io.OutputStream
java.io.FilterOutputStream
org.eclipse.mat.hprof.ChunkedGZIPRandomAccessFile.ChunkedGZIPOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

Enclosing class:
  ChunkedGZIPRandomAccessFile

public static class ChunkedGZIPRandomAccessFile.ChunkedGZIPOutputStream extends FilterOutputStream

## Constructor Summary

Constructors
Constructor
Description
`ChunkedGZIPOutputStream(OutputStream os)`
Create a chunked (multi-member) GZIP output stream.
`ChunkedGZIPOutputStream(OutputStream os, File originalFile)`
Create a chunked (multi-member) GZIP output stream.
`ChunkedGZIPOutputStream(OutputStream os, File originalFile, int chunkSize)`
Create a chunked (multi-member) GZIP output stream.

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`flush()`
`void`
`write(byte[] b, int offset, int len)`
`void`
`write(int b)`

### Methods inherited from class java.io.FilterOutputStream

`write`

### Methods inherited from class java.io.OutputStream

`nullOutputStream`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChunkedGZIPOutputStream

public ChunkedGZIPOutputStream(OutputStream os)
Create a chunked (multi-member) GZIP output stream.

Parameters:
  `os` - The stream into which to put the compressed data.

### ChunkedGZIPOutputStream

public ChunkedGZIPOutputStream(OutputStream os, File originalFile, int chunkSize)
Create a chunked (multi-member) GZIP output stream.

Parameters:
  `os` - The stream into which to put the compressed data.
  `originalFile` - The original file, for a name and time-stamp in the header, or null for no name and the current time.
  `chunkSize` - the chunk size, or 0 for no multiple members.

### ChunkedGZIPOutputStream

public ChunkedGZIPOutputStream(OutputStream os, File originalFile)
Create a chunked (multi-member) GZIP output stream.

Parameters:
  `os` - The stream into which to put the compressed data.
  `originalFile` - The original file, for a name and time-stamp in the header, or null for no name and the current time.

## Method Details

### write

public void write(int b) throws IOException

Overrides:
  `write` in class `FilterOutputStream`
Throws:
  `IOException`

### write

public void write(byte[] b, int offset, int len) throws IOException

Overrides:
  `write` in class `FilterOutputStream`
Throws:
  `IOException`

### flush

public void flush() throws IOException

Specified by:
  `flush` in interface `Flushable`
Overrides:
  `flush` in class `FilterOutputStream`
Throws:
  `IOException`

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `FilterOutputStream`
Throws:
  `IOException`